Suppression Groups
Bulk Unsuppress Emails
Remove multiple email addresses from a suppression group in bulk using the AutoSend API.
POST
/
suppression-groups
/
emails
/
unsuppress
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/emails/unsuppress' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"emails": ["[email protected]"],
"groupId": "AB12C3",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
emails: ["[email protected]"],
groupId: "AB12C3",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/emails/unsuppress");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"emails" => ["[email protected]"],
"groupId" => "AB12C3",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"emails": []string{"[email protected]"},
"groupId": "AB12C3",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/emails/unsuppress", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/emails/unsuppress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/emails/unsuppress")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
emails: ["[email protected]"],
groupId: "AB12C3",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"unsuppressed": 1
}
}
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/emails/unsuppress' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"emails": ["[email protected]"],
"groupId": "AB12C3",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
emails: ["[email protected]"],
groupId: "AB12C3",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/emails/unsuppress");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"emails" => ["[email protected]"],
"groupId" => "AB12C3",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"emails": []string{"[email protected]"},
"groupId": "AB12C3",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/emails/unsuppress", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/emails/unsuppress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/emails/unsuppress")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
emails: ["[email protected]"],
groupId: "AB12C3",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"unsuppressed": 1
}
}
Authorizations
string | header
required
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Body
string[]
An array of email addresses to remove from suppression.
string
Scopes the removal to a specific suppression group. When omitted, matching entries are removed from all groups.
boolean
When
true, removes entries from the global suppression list rather than a project-specific group.Response
Emails removed from suppression successfullyboolean
Example:
trueWas this page helpful?
⌘I
curl --request POST \
--url 'https://api.autosend.com/v1/suppression-groups/emails/unsuppress' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}'
import requests
response = requests.post(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
headers={
"Authorization": "Bearer <token>",
"Content-Type": "application/json",
},
json={
"emails": ["[email protected]"],
"groupId": "AB12C3",
},
)
print(response.json())
const response = await fetch(
"https://api.autosend.com/v1/suppression-groups/emails/unsuppress",
{
method: "POST",
headers: {
Authorization: "Bearer <token>",
"Content-Type": "application/json",
},
body: JSON.stringify({
emails: ["[email protected]"],
groupId: "AB12C3",
}),
}
);
const data = await response.json();
console.log(data);
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.autosend.com/v1/suppression-groups/emails/unsuppress");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
"emails" => ["[email protected]"],
"groupId" => "AB12C3",
]));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
payload, _ := json.Marshal(map[string]interface{}{
"emails": []string{"[email protected]"},
"groupId": "AB12C3",
})
req, _ := http.NewRequest("POST", "https://api.autosend.com/v1/suppression-groups/emails/unsuppress", bytes.NewBuffer(payload))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.*;
public class Main {
public static void main(String[] args) throws Exception {
String body = """
{
"emails": ["[email protected]"],
"groupId": "AB12C3"
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.autosend.com/v1/suppression-groups/emails/unsuppress"))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(body))
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
require "net/http"
require "uri"
require "json"
uri = URI("https://api.autosend.com/v1/suppression-groups/emails/unsuppress")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer <token>"
req["Content-Type"] = "application/json"
req.body = {
emails: ["[email protected]"],
groupId: "AB12C3",
}.to_json
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
puts response.body
{
"success": true,
"data": {
"unsuppressed": 1
}
}